﻿using System;
using System.Drawing.Printing;
using System.IO;
using System.Windows.Forms;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            PrintDocument print = new PrintDocument();
            string sDefault = print.PrinterSettings.PrinterName;//默认打印机名

            foreach (string sPrint in PrinterSettings.InstalledPrinters)//获取所有打印机名称
            {
                cbxPrinter.Items.Add(sPrint);
                if (sPrint == sDefault)
                    cbxPrinter.SelectedIndex = cbxPrinter.Items.IndexOf(sPrint);
            }
        }
        private void btnSelectFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "PDF文件|*.pdf";
            if (ofd.ShowDialog() != DialogResult.OK) return;
            tbxFileSource.Text = ofd.FileName;
        }

        private void btnSelectSaveFolder_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog ofd = new FolderBrowserDialog();
            if (ofd.ShowDialog() != DialogResult.OK) return;
            tbxSaveFolder.Text = ofd.SelectedPath;
        }

        private void btnExportImage_Click(object sender, EventArgs e)
        {
            Kivii.GhostScript.Tools.ToPng(tbxFileSource.Text, Path.Combine(tbxSaveFolder.Text,"%d.png"));

            Kivii.GhostScript.Tools.ToJpeg(tbxFileSource.Text, Path.Combine(tbxSaveFolder.Text, "%d.jpg"));
        }

        private void btnPrint_Click(object sender, EventArgs e)
        {
            //Kivii.GhostScript.Tools.ToPrinter(@"C:\Test\1.pdf", cbxPrinter.SelectedItem.ToString());
            Kivii.GhostScript.Tools.ToPrinter(tbxFileSource.Text, cbxPrinter.SelectedItem.ToString());
        }

        private void btnRun_Click(object sender, EventArgs e)
        {
            btnRun.Enabled = false;
            btnRun.Text = "执行(RUN)";
            btnRun.Text="执行(RUN="+Kivii.GhostScript.Tools.Run(rtbArguments.Lines)+")";
            btnRun.Enabled = true;
        }
    }
}
